Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.spi
Interface SqlExceptionHelper.WarningHandler

All Known Implementing Classes:
  SqlExceptionHelper.StandardWarningHandler, SqlExceptionHelper.WarningHandlerLoggingSupport

Enclosing class:
  SqlExceptionHelper

    public static interface SqlExceptionHelper.WarningHandler

Contract for handling `warnings`

Method Summary
`boolean` | `doProcess()` Should processing be done? Allows short-circuiting if not.
`void` | `handleWarning(SQLWarning warning)` Handle an individual warning in the stack.
`void` | `prepare(SQLWarning warning)` Prepare for processing of a `warning` stack.

Method Detail

### doProcess

    boolean doProcess()

  Should processing be done? Allows short-circuiting if not.

  Returns:
    True to process warnings, false otherwise.

### prepare

    void prepare(SQLWarning warning)

  Prepare for processing of a `warning` stack.

  Note that the warning here is also the first passed to `handleWarning(java.sql.SQLWarning)`

  Parameters:
    `warning` - The first warning in the stack.

### handleWarning

    void handleWarning(SQLWarning warning)

  Handle an individual warning in the stack.

  Parameters:
    `warning` - The warning to handle.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.